package com.jscape.inet.proxy.socks.protocol.v5.messages;

/**
 * @author Alex Usun
 */
public enum AuthenticationMethodType {

    NONE(0x00),
    GSSAPI(0x01),
    PASSWORD(0x02),
    UNSUPPORTED(0xFF);

    public final int code;

    AuthenticationMethodType(int code) {
        this.code = code;
    }
}
